%define ALD_Ver		2.0

Name:         libcap

License:      GPL
Summary:      Library POSIX.1e capabilities tools
Version:      2.25
Release:      0

#Source: https://mirrors.edge.kernel.org/pub/linux/libs/security/linux-privs/libcap2/

Source: %{name}-%{version}.tar.xz

%define DestDir		/System
# -----------------------------------------------------

%if %{_target_cpu} == %{_build_cpu}
%define _srcrpmdir	%{_topdir}/SRPMS/%{ALD_Ver}
%define _CROSS 0
%define MakeLocCross 0
%else
# rpm --target=armv7hl -ba xxxxx.spec
%define _srcrpmdir	%{_topdir}/SRPMS/tmp
%define _CROSS 1
%define MakeLocCross 1
%define _host %{_arch}-%{_os}%{_gnu}
%endif

#------------------ CROSS DIR --------------------

%define docdir		%{_defaultdocdir}/%{name}

%define auto_local %{_sourcedir}/AUTO_LOCAL-1.sh
%define have_auto_local %(if test -x %{auto_local} ; then echo 1 ; else echo 0 ; fi)

%if %{have_auto_local}
%define __os_install_post %{nil}
%define CrossPath	%(%{auto_local} -GetCrossPath -build_cpu=%{_build_cpu} -target_cpu=%{_target_cpu})
%endif

# ------------------- description ------------------------------------
%description
Library POSIX.1e capabilities tools
#-------------------------------
%package devel
Summary:      headers for the C compiler
%description devel
These headers are needed to compile C code.
# --------------------------------------
%package devel-man
Summary:      %{name} devel man3 for Libraries
%description devel-man
%{name} devel man3 for Libraries
# --------------------------------------
%package sharedlib
Summary:      %{name} shared Libraries
%description sharedlib
%{name} shared Libraries
# --------------------------------------
%package staticlib
Summary:      %{name} static Libraries
%description staticlib
%{name} static Libraries

# ------------------- setup ------------------------------------------
%Prep
%setup -q -n %{name}-%{version}

sed -i s:" -O2 ":" \$(OPTFLAGS) ": Make.Rules
sed -i s:" -g #-DDEBUG":: Make.Rules
sed -i s,"LDFLAGS := #-g","# LDFLAGS := #-g", Make.Rules
sed -i s:"-L../libcap -lcap":"../libcap/libcap.a": progs/Makefile

# ------------------- Build ------------------------------------------
%Build
%if %{_CROSS}
export PATH="%{CrossPath}/bin:$PATH"
export GCC_NoHostPath=d
%endif

%if %{_arch} == "i386"
OPTFLAGS="-O2 -march=i586 -falign-functions=4 -falign-jumps=1 -falign-loops=1 -fomit-frame-pointer"
%endif
%if %{_arch} == "x86_64"
OPTFLAGS="-O2"
%endif
%if %{_arch} == "arm"
OPTFLAGS="%{optflags} -O2 -munaligned-access"
%endif

OPTFLAGS="$OPTFLAGS -ffunction-sections -fdata-sections -fno-asynchronous-unwind-tables -std=gnu99"

export OPTFLAGS
export LDFLAGS="-Wl,--gc-sections"

make &>FMake_log.txt

# ------------------- Install ----------------------------------------
%Install
%if %{_CROSS}
export  PATH="%{CrossPath}/bin:$PATH"
export GCC_NoHostPath=d
%endif

rm -rf $RPM_BUILD_ROOT
mkdir -p %{_srcrpmdir}
mkdir -p $RPM_BUILD_ROOT%{docdir}

make DESTDIR=$RPM_BUILD_ROOT exec_prefix=%{_prefix} lib=%{_lib} \
	RAISE_SETFCAP=no install \
	&>Finstall_log.txt
cp License README $RPM_BUILD_ROOT%{docdir}/

%if %{have_auto_local}
  %{auto_local} -build_cpu=%{_build_cpu} -target_cpu=%{_target_cpu} \
	-MakeLocCross=%{MakeLocCross} -DelLocCrossDir=%{_bindir}
%endif  # have_auto_local

# ------------------- Clean ------------------------------------------
%Clean

%if %{have_auto_local}
  %{auto_local} -build_cpu=%{_build_cpu} -target_cpu=%{_target_cpu} \
	-MakeLocCross=%{MakeLocCross} \
	-ALD_Ver=%{ALD_Ver} -RpmMovePath=%{DestDir} -tar_arg=bzip2
%endif  # have_auto_local

# ------------------- Files ------------------------------------------
%files
%{_sbindir}
%{_mandir}/man1
%{_mandir}/man8
%{docdir}

%files devel
%{_includedir}
%{_libdir}/pkgconfig

%files devel-man
%{_mandir}/man3

%files sharedlib
%{_libdir}/*.so.*
%{_libdir}/*.so

%files staticlib
%{_libdir}/*.a
